from numpy import *
from pylab import *
from mpl_toolkits.mplot3d import Axes3D

acc=0.144e-9
a=acc*sqrt(3)
t=2.7 #eV
kxB=(4*pi/(sqrt(3)*a))
kyB=(4*pi/(sqrt(3)*a))
Nkx=50
Nky=Nkx
dkx=2*kxB/Nkx
dky=2*kyB/Nky
print kxB;
Ek=zeros((Nkx,Nky));

x=[]
y=[]

kxi=-kxB;
for i in range(0,Nkx):
    x.append(kxi)
    kxi=kxi+dkx

x=array(x)

kyi=-kyB
for j in range(0,Nky):
    y.append(kyi)
    kyi=kyi+dky
y=array(y)

X,Y=meshgrid(x,y)

kxi=-kxB;
for i in range(0,Nkx):
    print"--------------"
    kyi=-kyB
    for j in range(0,Nky):
        Ek[i,j]=t*sqrt(1+4*cos(sqrt(3)*kxi*a/2)*cos(kyi*a/2)+4*(cos(kyi*a/2))**2)
        kyi=kyi+dky
    kxi=kxi+dkx
print Ek
#imshow(Ek, interpolation='bilinear', cmap=cm.hot,origin='lower',aspect='auto')
fig = plt.figure()
ax = Axes3D(fig)
ax.plot_surface(X, Y, Ek, rstride=1, cstride=1, cmap=cm.hot)
show()
